/* Para navegadores Webkit (Chrome, Edge, Safari) */
::-webkit-scrollbar {
    display: none;
}

/* Para Firefox */
* {
    scrollbar-width: none; /* remove a barra */
}
     
     /* Reset */
      * {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
      }

      body {
        font-family: "Poppins", sans-serif;
        background: linear-gradient(135deg, #1e293b, #0f172a);
         color: #f8fafc; /* texto claro para contraste */
        display: flex;
        min-height: 100vh;
      }

      /* Sidebar */
      .sidebar {
        background: #111827;
        color: #fff;
        width: 250px;
        height: 100vh;
        padding: 2rem 1rem;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        position: fixed;
        top: 0;
        left: 0;
        transition: all 0.3s ease;
        z-index: 1000;
      }

      .sidebar .header {
        display: flex;
        align-items: center;
        gap: 1rem;
        margin-bottom: 2rem;
      }

      .sidebar .header img {
        width: 40px;
        height: 40px;
      }

      .sidebar h1 {
        font-size: 1.2rem;
        font-weight: 600;
      }

      .sidebar nav {
        display: flex;
        flex-direction: column;
        gap: 1rem;
      }

      .sidebar nav a {
        display: flex;
        align-items: center;
        gap: 0.75rem;
        text-decoration: none;
        color: #cbd5e1;
        padding: 0.75rem 1rem;
        border-radius: 0.75rem;
        transition: all 0.3s ease;
      }

      .sidebar nav a:hover {
        background: #2563eb;
        color: #fff;
      }

      .sidebar nav a i {
        font-size: 1.2rem;
      }

      /* Conteúdo */
      .content {
        margin-left: 250px;
        padding: 2rem;
        width: 100%;
        transition: margin-left 0.3s ease;
      }
      .content h2{
        font-size: 2rem;
        margin-bottom: 0.5rem;
        color: #38bdf8;
      }
      .content p{
        margin-bottom: 2rem;
        color: #94a3b8;
      }

      /* Botão menu hamburguer */
      .menu-btn {
        display: none;
        position: fixed;
        top: 1rem;
        right: 1rem;
        width: 40px;
        height: 40px;
        border: none;
        background: #111827;
        border-radius: 0.6rem;
        cursor: pointer;
        z-index: 1100;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 6px;
      }

      .menu-btn span {
        width: 22px;
        height: 3px;
        background: #fff;
        border-radius: 5px;
        transition: all 0.3s ease;
      }

      /* Animação hamburguer -> X */
      .menu-btn.active span:nth-child(1) {
        transform: rotate(45deg) translateY(8px);
      }
      .menu-btn.active span:nth-child(2) {
        opacity: 0;
      }
      .menu-btn.active span:nth-child(3) {
        transform: rotate(-45deg) translateY(-8px);
      }

     